# joaddons.tcl for netbots.tcl v3.15
# designed to work with eggdrop 1.5.2 or higher
# Johoho's Eggdrop Page - http://johoho.eggdrop.cx
# restricted.tcl copyright (c) 1999,2000 by johoho <johoho@hojo-net.de>
# netbots.tcl copyright (c) 1998-2000 by slennox <slennox@egghelp.org>

## restricted.tcl component script v1.00.2, 19.03.2000 ##

# History:
# 
# v1.00.1, 26.12.1999 - initial release
# v1.00.2, 19.03.2000 - changed header and readme :)

# thanks to RuFuS who coded this one. thanks slennox for netbots.tcl

proc restricted_server {from signal arg} {
	global server re_note
	putlog "my connection to $server is RESTRICTED"
    foreach recipient $re_note {
        if {[validuser $recipient]} {
            sendnote RESTRICTED $recipient "I'm restricted on $server. Please check restricted.txt"
        }
    }
	set already 0
	set f [open restricted.txt a]
	close $f
	set f [open restricted.txt r]
	while {[eof $f] != 1} {
		set line [gets $f]
		if {$line == $server && $line != ""} {
			set already 1
			break
		}
	}
	close $f
	set f [open restricted.txt a]
	if {$server != "" && $already == 0} {
		puts $f $server
	}
	close $f
    jump
	return 0
}

bind raw * 484 restricted_server